package cn.pluss.platform.mapper;

import cn.pluss.platform.vo.AgentInfo;
import cn.pluss.platform.vo.AgentStaffVO;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface AgentInfoMapper {

    List<List<?>> selectPage(@Param("agentInfo") AgentInfo agentInfo, @Param("page") JSONObject page);

    List<List<?>> selectPermissionPage(@Param("agentInfo") AgentInfo agentInfo, @Param("page") JSONObject page);

    Long selectPageCount(@Param("agentInfo") AgentInfo agentInfo);

    List<List<?>> selectSubAgentPage(@Param("agentInfo") AgentInfo agentInfo, @Param("page") JSONObject page);

    Long selectSubAgentPageCount(@Param("agentInfo") AgentInfo agentInfo);

    AgentInfo selectOne(@Param("agentInfo") AgentInfo agentInfo);

    /**
     * 查询当月、上月收益
     * @return
     */
    List<AgentInfo> selectRecentMonthPrice();

    /**
     * 分页查询业务员信息
     * @param page      分页信息
     * @param agentStaffVO
     * @return
     */
    Page<AgentStaffVO> selectStaffPage(Page<AgentStaffVO> page, @Param("agentStaffVO") AgentStaffVO agentStaffVO);
}
